@import "@/assets/variables.scss";

.membership-page {
  .membership-box {
    padding-top: 10px;
    display: flex;

    .membership-main {
      margin-left: 10px;
      width: 680px;
      background-color: $light;
      padding: 40px 10px 100px 10px;

      .main-container {
        .title {
          text-align: center;
          span {
            font-size: 24px;
            font-weight: 700;
            color: $dark;
          }
        }

        .credits {
          display: flex;
          justify-content: space-between;
          margin-top: 30px;
          .credit-box {
            position: relative;
            width: 190px;
            border: 1px solid $discountBorderColor;
            transition: 0.4s ease-out;
            cursor: pointer;
            .title {
              padding: 8px 0;
              text-align: center;
              background: $silver;
              span {
                font-size: 18px;
                font-weight: 700;
                text-transform: uppercase;
                color: $dark;
              }

              &.gold-title {
                background: $gold;
              }

              &.platinum-title {
                background: $platinum;

                span {
                  color: $light;
                }
              }
            }

            .discount {
              padding: 3px 0;
              text-align: center;
              &.green {
                background-color: $discountGreen;
              }

              &.blue {
                background-color: $blue;
              }

              span {
                font-size: 10px;
                font-weight: bold;
                text-transform: uppercase;
                color: $light;
                letter-spacing: 0.05em;
              }
            }

            .price-box {
              display: flex;
              justify-content: center;
              padding: 12px 0;
              .dollar {
                span {
                  font-size: 14px;
                  color: $dark;
                  font-weight: normal;
                }
              }

              .value {
                margin-left: 12px;
                span {
                  font-size: 42px;
                  color: $dark;
                  font-weight: normal;
                }
              }
              .monthly {
                display: flex;
                flex-direction: column;
                align-items: center;
                margin-left: 8px;
                .monthly-value {
                  span {
                    font-size: 14px;
                    font-weight: normal;
                  }
                }

                .monthly-text {
                  span {
                    font-size: 10px;
                    font-weight: normal;
                  }
                }
              }

              &.platinum-box {
                margin-top: 27px;
              }
            }

            .bonus {
              margin-bottom: 25px;
              .text {
                text-align: center;
                span {
                  font-size: 14px;
                  font-weight: 700;
                  color: $blue;
                }

                &.black {
                  span {
                    color: $dark;
                  }
                }
              }
            }

            .button-plus {
              position: absolute;
              cursor: pointer;
              width: 40px;
              height: 40px;
              border-radius: 50px;
              border: 1px solid $discountBorderColor;
              display: flex;
              justify-content: center;
              bottom: 0;
              left: 50%;
              margin-right: -50%;
              transform: translate(-50%, 50%);
              background-color: $formInputColor;
              img {
                width: 16px;
              }
            }

            &:hover {
              transform: scale(1.04);
            }
          }
        }

        .levels {
          margin-top: 50px;
          display: flex;
          .image-box {
            display: flex;
            width: 33%;
          }

          .table-box {
            width: 77%;
            margin-left: 55px;

            table {
              width: 100%;

              thead {
                tr {
                  td {
                    padding: 13px 15px;
                  }
                  .membership {
                    white-space: nowrap;
                    background-color: $theadColor;
                  }

                  .silver {
                    background: $silver;
                  }

                  .gold {
                    background: $gold;
                  }

                  .platinum {
                    background: $platinum;
                    color: $light;
                  }
                }
              }

              tbody {
                padding-top: 14px;
                tr {
                  .item-title {
                    padding: 0 14px;
                  }

                  .item {
                    padding: 14px 0;
                    text-align: center;
                  }

                  td {
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 21px;
                  }

                  .silver {
                    background-color: $formInputColor;
                  }

                  .gold {
                    background-color: $tbodyGoldColor;
                  }

                  .platinum {
                    background-color: $tbodyPlatinumColor;
                  }
                }
              }
            }
          }

          .mobile {
            display: none;
          }
        }

        .form-box {
          margin-top: 82px;
          .form-row {
            .right-side {
              .right-side-form-box {
                margin-top: 80px;

                & > div {
                  margin-bottom: 15px;
                }
              }
            }

            .left-side {
              .left-side-form-box {
                & > div {
                  margin-bottom: 15px;
                }
              }
            }
            .form-group {
              .form-title {
                display: flex;
                .item {
                  flex: 1;
                  span {
                    font-size: 32px;
                    font-weight: 700;
                    color: $dark;
                  }
                }
              }

              .form-credit-cards {
                display: flex;
                margin-top: 40px;
                margin-bottom: 10px;
                img {
                  cursor: pointer;
                }
              }

              select {
                width: 100%;
                height: 50px;
                background-color: $formInputColor;
                border: none;
                font-size: 14px;
                color: $dark;
                font-weight: 400;
                padding-left: 12px;
              }

              input {
                width: 100%;
                height: 50px;
                background-color: $formInputColor;
                border: none;
                padding-left: 12px;
                font-size: 14px;
                &::placeholder {
                  font-weight: 400;
                  color: $dark;
                }
              }

              .form-item {
                display: flex;
                .date {
                  padding: 0;
                }

                .cvv {
                  padding: 0 0 0 10px;
                }
              }
            }
          }

          .new-card {
            margin-top: 40px;
            .text {
              span {
                cursor: pointer;
                font-size: 16px;
                font-weight: 400;
                text-transform: uppercase;
                color: $blue;
                &::after {
                  content: url("./img/small-plus.svg");
                  margin-left: 12px;
                }
              }
            }
          }

          .bonus-box {
            margin-top: 50px;
            .bonus-title {
              span {
                font-size: 14px;
                font-weight: 400;
                color: $dark;
              }
            }
            .bonus-checkboxes {
              .checkbox-item {
                display: flex;
                margin-bottom: 20px;
                .text {
                  margin-left: 15px;
                  span {
                    font-size: 14px;
                    font-weight: 400;
                    color: $dark;
                  }
                }
              }
            }

            .purchase-button {
              margin-top: 45px;
              button {
                cursor: pointer;
                padding: 12px 40px;
                border: 1px solid $blue;
                background-color: $blue;
                color: $light;
                font-size: 16px;
                font-weight: 400;
                transition: 0.3s ease-out;

                &:hover {
                  color: $blue;
                  background-color: transparent;
                }
              }
            }
          }

          .upgrade-box {
            margin-top: 60px;
            .upgrade-title {
              span {
                font-size: 14px;
                font-weight: 400;
                color: $blue;
              }
            }

            .upgrade-description {
              margin-top: 10px;
              line-height: 15px;
              span {
                font-size: 10px;
              }
            }
          }
        }
      }
    }

    .chat-box {
      margin-left: 10px;
      background-color: $light;
    }
  }

  @media screen and (max-width: 575px) {
    .container {
      padding-left: 0;
      padding-right: 0;
    }
    .membership-box {
      .menu-sidebar-box {
        display: none;
      }

      .membership-main {
        margin-left: 0;
        width: 100%;
        .title {
        }

        .main-container {
          .credits {
            flex-direction: column;
            align-items: center;

            .credit-box {
              margin-bottom: 62px;

              &:nth-child(3) {
                margin-bottom: 0;
              }
            }
          }

          .levels {
            .image-box {
              display: none;
            }

            .table-box {
              margin-left: 0;
            }

            .desktop {
              display: none;
            }

            .mobile {
              width: 100%;
              display: block;
            }
          }

          .form-box {
            .right-side {
              .right-side-form-box {
                margin-top: 40px !important;
              }
            }
          }

          .bonus-box {
            .purchase-button {
              width: 100%;
              button {
                width: 100%;
              }
            }
          }
        }
      }
    }
  }
}
